#
# spec file for package yast2-nis-client (Version 2.13.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pam yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-nis-client
Version:        2.13.4
Release:        1.3
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-nis-client-2.13.4.tar.bz2
prefix:		/usr
BuildRequires:  doxygen gcc-c++ perl-XML-Writer update-desktop-files yast2 yast2-core-devel yast2-devtools yast2-pam yast2-testsuite
Requires:       yast2 yast2-pam
# .net.hostnames.rpc
Requires:       yast2-core >= 2.8.0
Provides:       yast2-config-nis yast2-config-nis-devel
Obsoletes:      yast2-config-nis yast2-config-nis-devel
Provides:       yast2-trans-nis
Obsoletes:      yast2-trans-nis
Provides:       yast2-config-network:/usr/lib/YaST2/clients/lan_ypclient.ycp
Summary:        YaST2 - Network Information Services (NIS, YP) Configuration

%description
The YaST2 component for NIS configuration. NIS is a service similar to
yellow pages.



Authors:
--------
    Dan Vesely <dan@suse.cz>
    Martin Vidner <mvidner@suse.cz>
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-nis-client-2.13.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/nis
/usr/share/YaST2/include/nis/ui.ycp
/usr/share/YaST2/clients/nis.ycp
/usr/share/YaST2/clients/nis-client.ycp
/usr/share/YaST2/clients/nis_auto.ycp
/usr/share/YaST2/modules/Nis.*
%{prefix}/share/applications/YaST2/nis.desktop
/usr/lib/YaST2/servers_non_y2/ag_yp_conf
%{_libdir}/YaST2/plugin/libpy2ag_ypserv.so.*
%{_libdir}/YaST2/plugin/libpy2ag_ypserv.so
%{_libdir}/YaST2/plugin/libpy2ag_ypserv.la
/usr/share/YaST2/scrconf/cfg_ypbind.scr
/usr/share/YaST2/scrconf/yp_conf.scr
/usr/share/YaST2/scrconf/ypserv.scr
%doc %{prefix}/share/doc/packages/yast2-nis-client

%changelog -n yast2-nis-client
* Thu May 11 2006 - jsuchome@suse.cz
- do not show message that DHCP doesn't support NIS when using
  NetworkManager (#152262)
- 2.13.4
* Mon Mar 27 2006 - jsuchome@suse.cz
- added checking for root permissions (#158483)
- 2.13.3
* Fri Mar 10 2006 - jsuchome@suse.cz
- added checks for nil output from agents (#155439)
- fixed BuildRequires
- 2.13.2
* Tue Jan 17 2006 - visnov@suse.cz
- fix testsuite
- 2.13.1
* Mon Jan 09 2006 - jsuchome@suse.cz
- new version for new product
- 2.13.0
* Wed Jan 04 2006 - jsuchome@suse.cz
- fixed testsuite (firewall initialization)
- 2.12.3
* Thu Aug 04 2005 - jsuchome@suse.cz
- update also "services", "netgroup" and "aliases" entries (#100205)
- 2.12.2
* Thu Jul 28 2005 - jsuchome@suse.cz
- updated desktop file
- 2.12.1
* Tue Jul 12 2005 - jsuchome@suse.cz
- install autofs by default (not autofs4) - bug #95970
- 2.12.0
* Thu Mar 03 2005 - jsuchome@suse.cz
- do not default to 'always start' when called from users
* Fri Feb 18 2005 - jsuchome@suse.cz
- install autofs4 by default (not autofs) - bug #50871
- 2.11.9
* Mon Feb 14 2005 - jsuchome@suse.cz
- save changes when editing Additional domains (#50734)
- enable to set autofs in autoyast configuration (#50734)
- 2.11.8
* Thu Feb 10 2005 - jsuchome@suse.cz
- fixed testsuite (firewall initialization)
- 2.11.7
* Mon Feb 07 2005 - jsuchome@suse.cz
- merged texts from proofread
- 2.11.6
* Mon Jan 31 2005 - jsuchome@suse.cz
- fixed build (failing testsuite on SuSEFirewall initialization)
- 2.11.5
* Mon Jan 24 2005 - jsuchome@suse.cz
- fixed testusite (new Autologin.ycp)
- 2.11.4
* Thu Dec 16 2004 - jsuchome@suse.cz
- do not ask for 'Abort Installation' when called from users
- use Accept button instead of OK in the dialogs
- 2.11.3
* Wed Dec 15 2004 - jsuchome@suse.cz
- when looking for running dhcpcd, handle multiple files correctly (#49181)
- do not show Abort button in 'pseudo-popups'
- adapt for new Progress usage
- yast2-firewall, yast2-network not needed for build
- 2.11.2
* Tue Dec 07 2004 - jsuchome@suse.cz
- fixed helptext to not include foo.com address (#48112)
- 2.11.1
* Fri Oct 29 2004 - jsuchome@suse.cz
- adapted for new Mode:: interface
- 2.11.0
* Tue Sep 14 2004 - jsuchome@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.8
* Thu Sep 09 2004 - jsuchome@suse.cz
- get rid of Require module (#30872)
- show a message when autofs package should be installed (#44863)
- 2.10.7
* Mon Sep 06 2004 - jsuchome@suse.cz
- fixed testsuite (firewall is not restarted when not touched)
- 2.10.6
* Fri Sep 03 2004 - jsuchome@suse.cz
- added Open firewall port checkbox (#44474)
- 2.10.5
* Tue Aug 31 2004 - nashif@suse.de
- use modified flag (#43904)
* Mon Aug 30 2004 - jsuchome@suse.cz
- only enabling is possible during installation (#44476)
* Mon Aug 23 2004 - jsuchome@suse.cz
- cmdline: always save status on 'enable' command,
  enable DHCP-configured NIS client when static data weren't provided
- clear nologin from passwd (#40571)
- 2.10.3
* Thu Aug 19 2004 - jsuchome@suse.cz
- cmdline: use standardized enum type for "automounter" and
  "broadcast" options
* Mon Aug 16 2004 - jsuchome@suse.cz
- 2.10.2
* Tue Aug 10 2004 - jsuchome@suse.cz
- merged proofread texts
* Tue Jul 27 2004 - jsuchome@suse.cz
- use Package module instead of Require
* Thu Jul 22 2004 - jsuchome@suse.cz
- use Nsswitch module from yast2-pam for handling /etc/nsswitch.conf
- use Message module for common messages
- command-line interface
- 2.10.1
* Thu Jun 17 2004 - mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- 2.10.0
* Tue May 18 2004 - mvidner@suse.cz
- The last change would do more harm than good, reverted (#40571).
- 2.9.20
* Mon May 17 2004 - mvidner@suse.cz
- Reset compat entries in /etc/passwd and co. to defaults
  to handle nologin written by LDAP client (#40571).
- 2.9.19
* Tue May 04 2004 - mvidner@suse.cz
- merged proofread messages
- 2.9.18
* Tue Apr 27 2004 - mvidner@suse.cz
- fix parallel build by making a convenience library
- 2.9.17
* Fri Apr 16 2004 - mvidner@suse.cz
- show an improvised, dhcp provided domain as the default one (#35654)
- 2.9.16
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.15
* Thu Apr 01 2004 - mvidner@suse.cz
- only validate input if service is on, fixes disabling it (#37728).
- 2.9.14
* Tue Mar 30 2004 - mvidner@suse.cz
- warn if LDAP is enabled (#36981)
- 2.9.13
* Mon Mar 22 2004 - mvidner@suse.cz
- re-enabled testsuite
- added AGENT_LIBADD so that agents work from standalone Perl
- 2.9.12
* Wed Mar 10 2004 - kkaempf@suse.de
- disable testsuite
- 2.9.11
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.10
- Migration to new wizard
* Mon Mar 08 2004 - lslezak@suse.cz
- use Sequencer::
- set icon
- version 2.9.9
* Mon Mar 08 2004 - mvidner@suse.cz
- require yast2-installation because of ProductFeatures
- 2.9.8
* Fri Mar 05 2004 - mvidner@suse.cz
- fixed enabling/disabling, broken in 2.9.6 (#35297)
- in nsswitch.conf, the default is compat, not files (#35299)
- added type information (lslezak)
- 2.9.7
* Fri Feb 27 2004 - lslezak@suse.cz
- yp.conf agent: SLP option support
- new UI (#29084) with SLP support
- version 2.9.6
* Thu Feb 19 2004 - lslezak@suse.cz
- removed yast2-packager from neededforbuild
- version 2.9.5
* Wed Feb 18 2004 - jsuchome@suse.cz
- added possibility to call ShortSummary function from auto-client
* Tue Feb 10 2004 - lslezak@suse.cz
- NI fixes (data types, removed globals)
- version 2.9.4
* Mon Feb 02 2004 - msvec@suse.cz
- 2.9.3
* Mon Dec 15 2003 - mvidner@suse.cz
- Made compilable by the new interpreter (jhumpol)
- Added yast2-pam to neededforbuild (jsuchome)
- 2.9.2
* Tue Oct 14 2003 - mvidner@suse.cz
- Got a more reliable way of finding NIS servers,
  using RPC broadcasts (#37099).
- Added Select All and Select None buttons to the server selection popup.
- Shortcut of Find changed not to conflict with Next (#29960).
- 2.9.1
* Thu Oct 02 2003 - jsuchome@suse.cz
- adapted to new Autologin interface
- 2.9.0
* Tue Sep 23 2003 - jsuchome@suse.cz
- disable autologin when nis is enabled (#31470)
- 2.8.9
* Tue Sep 16 2003 - jsuchome@suse.cz
- fix of #30994: broadcast doesn't need IP/hostname
- fix of #30996: search function returns IP address, not hostname
- 2.8.8
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Mon Sep 08 2003 - jsuchome@suse.cz
- return needed packages list (nashif)
* Wed Sep 03 2003 - jsuchome@suse.cz
- Abort Installation button during installation (#29835)
- 2.8.6
* Mon Sep 01 2003 - jsuchome@suse.de
- patched .descktop file
* Fri Aug 22 2003 - nashif@suse.de
- Add variable for required packages and return them in auto client
- 2.8.5
* Thu Aug 14 2003 - jsuchome@suse.cz
- Removed "success popup" and added writing progress dialog (#28729)
- 2.8.4
* Mon Aug 04 2003 - mvidner@suse.cz
- Added desktop file (supersedes y2cc file).
- 2.8.3
* Thu Jul 31 2003 - nashif@suse.de
- Use correct SCR path for writing dhcp options
* Tue Jul 29 2003 - mvidner@suse.cz
- Cancel in the server selection popup now works.
- Added screenshot mode: "/sbin/yast2 nis screenshots"
- 2.8.2
* Thu Jul 10 2003 - jsuchome@suse.de
- added ShortSummary()
* Fri Jun 20 2003 - mvidner@suse.cz
- Using Label, Popup and Require.
- 2.8.1
* Thu Apr 24 2003 - mvidner@suse.de
- Added a button to find NIS servers.
- Clear {passwd,group,shadow}_compat: nisplus (#16168).
- 2.8.0
* Mon Mar 03 2003 - mvidner@suse.de
- Texts from final proofreading.
- 2.7.10
* Mon Mar 03 2003 - mvidner@suse.de
- Prefer "compat" to "files nis" so that daemons
  don't have to be restarted to read nsswitch.conf (#23203).
- 2.7.9
* Mon Feb 24 2003 - mvidner@suse.de
- Made it possible to freely switch between static and DHCP setup
  (#23734).
- Removed the "Successfully saved" popup in installation workflow (#23777).
- 2.7.8
* Wed Feb 19 2003 - jsuchome@suse.de
- Enable only starting service if run during the installation (#23831)
* Tue Feb 18 2003 - mvidner@suse.de
- Preselect to start the service if run during the installation
  (from the user module, #23733).
* Mon Feb 17 2003 - mvidner@suse.de
- Check whether dhcpcd is running (test -f /var/run/dhcpcd-*.pid, #23591).
- Changed _auto::Result to Export (nashif).
- 2.7.7
* Thu Feb 13 2003 - jsuchome@suse.de
- 'Next' instead of 'Finish' when Mode::cont is true
* Mon Feb 10 2003 - jsuchome@suse.de
- Merged proofread texts (3rd round).
* Wed Feb 05 2003 - jsuchome@suse.de
- added return value of client (for installation usage)
- 2.7.6
* Mon Feb 03 2003 - mvidner@suse.de
- Merged proofread texts.
- Added Read to _auto (nashif).
- 2.7.5
* Fri Jan 24 2003 - mvidner@suse.de
- Now DHCP can be used to get the domain and servers (#14323).
- Don't display a popup before writing (#23050).
- 2.7.4
* Mon Jan 20 2003 - mvidner@suse.de
- Properly handle nsswitch for nis.
- Restart nscd if running.
- Fixed the agent fix for the "server foo broadcast" case.
- 2.7.3
* Wed Jan 15 2003 - mvidner@suse.de
- Added function key shortcuts (try F1 in text mode).
- Prevent agent from returning strings as integers/booleans (~#21804).
- Using the new *_auto dispatcher (nashif).
* Fri Dec 20 2002 - mvidner@suse.de
- Easier editing of the server list.
- Made autofs independent of NIS (#19769).
- 2.7.2
* Thu Dec 05 2002 - mvidner@suse.cz
- Use the faked Pkg instead of the real one to prevent testsuite failures.
- 2.7.1
* Mon Aug 26 2002 - mvidner@suse.cz
- Adapted for the new packagemanager.
- 2.6.14
* Thu Aug 22 2002 - mvidner@suse.cz
- Use not only /etc/defaultdomain but also `ypdomainname`,
  because dhcpcd may use it. (~#14232)
- Provide/Obsolete yast2-config-nis-devel.
- 2.6.13
* Wed Aug 14 2002 - mvidner@suse.cz
- Make "yast2 nis-client" invoke "yast2 nis" (#17570).
- Merged proofread texts for the second translation round.
- 2.6.12
* Sun Aug 11 2002 - mvidner@suse.cz
- Let the table keep the keyboard focus (#16116 workaround).
- 2.6.11
* Wed Jul 31 2002 - mvidner@suse.cz
- Added comments for translators
- 2.6.10
* Mon Jul 29 2002 - mvidner@suse.cz
- yast2-runlevel is no longer required.
- Tests fixed for perl 5.8.0.
- 2.6.9
* Fri Jul 19 2002 - mvidner@suse.cz
- Merged proofread texts.
- Fixed other_domains in autoyast import (nashif).
- Screenshot helpers using Wizard.
- 2.6.8
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
- 2.6.7
* Thu Jul 11 2002 - mvidner@suse.cz
- Relaxed input validation:
  * Allow server names besides server IPs.
  * Nis domain names are not as strict as DNS ones (#16648).
- 2.6.6
* Wed Jul 10 2002 - mvidner@suse.cz
- Install autofs if requested (#16568).
- Global broadcast option obsoleted, shown only if used. (~#15665).
- Autoyast data structure and summary simplified.
- 2.6.5
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Thu Jun 27 2002 - kkaempf@suse.de
- Renamed to "yast2-nis-client".
* Thu Jun 27 2002 - mvidner@suse.cz
- Added broadcast option of ypbind-1.12.
- Adapted to changed any-agent interface.
* Tue May 21 2002 - mvidner@suse.cz
- Support the full yp.conf grammar of ypbind-1.11. (#15665)
- Added an expert options dialog (/etc/sysconfig/ypbind). (#15666)
- Abort button added, WM close button works too. (#10571)
- Using current devtools; menuentries -> config.
- 2.6.2
* Wed Apr 24 2002 - nashif@suse.de
- Adapted to new autoinst interface
* Mon Apr 15 2002 - mvidner@suse.cz
- Moved autoinst code from y2c_autoinst (nashif).
- Fix to work with automake 1.6.
- 2.6.1
* Mon Mar 11 2002 - mvidner@suse.cz
- Report the error message from init.d/ypbind to the server module (#14706).
- 2.5.18
* Tue Mar 05 2002 - mvidner@suse.cz
- Removed a misleading confirmation popup in Autoyast. (#14484)
- 2.5.17
* Mon Feb 25 2002 - mvidner@suse.cz
- Added a help text for autofs (#13701).
- Don't log an error when yp.conf or init.d/amavis is missing.
- 2.5.16
* Mon Feb 18 2002 - mvidner@suse.cz
- Replace the checkIP builtin obsoleted in libycp-2.5.29.
- 2.5.15
* Tue Feb 12 2002 - mvidner@suse.cz
- Flush /etc/nsswitch.conf before using it (#13176).
- 2.5.14
* Fri Feb 01 2002 - mvidner@suse.cz
- Set automount in nsswitch.conf.
- Don't set ypdomainname, the init script does it.
- Had the English texts proofread.
- 2.5.13
* Mon Jan 28 2002 - nashif@suse.de
- Adapted for automatic installation (2.5.12)
* Thu Jan 17 2002 - mvidner@suse.cz
- Fixed saving a new yp.conf (2.5.11)
* Wed Jan 16 2002 - mvidner@suse.cz
- Moved domainname.scr to yast2-lib-network. (2.5.10)
* Mon Jan 14 2002 - mvidner@suse.cz
- yp.conf now flushed.
- Added missing files (agent and *.scr) to spec. (nashif)
- 2.5.9
* Fri Jan 11 2002 - mvidner@suse.cz
- Using /etc/defaultdomain instead of YP_DOMAINNAME.
- Writing yp.conf directly made SuSEconfig.ypclient unnecessary.
- Changed keys in autoinstallation map.
- Removed old menu entry for good.
- 2.5.7
* Fri Jan 04 2002 - mvidner@suse.cz
- Build fix: duplicate menuentry removed. (2.5.6)
* Thu Jan 03 2002 - mvidner@suse.cz
- Added a checkbox to start autofs. (#6092)
- 2.5.5
* Tue Dec 18 2001 - mvidner@suse.cz
- Added an autoinstallation client.
- Using Report and Wizard.
- 2.5.4
* Tue Dec 11 2001 - mvidner@suse.cz
- Preserve the case of the domain name (bug 12546).
- Menu entry unification.
- Nis::Write can be used by NisServer::Write.
- 2.5.3
* Fri Nov 30 2001 - mvidner@suse.cz
- Converted to a Module.
- Using y2autoconf and create-spec.
- 2.5.2
* Thu Oct 11 2001 - mvidner@suse.cz
- Don't report to start the client when stopping it. (#11614)
- 2.5.1
* Fri Sep 14 2001 - mvidner@suse.cz
- Delay when restarting ypbind (bug #10428). (2.4.10)
* Thu Sep 13 2001 - mvidner@suse.cz
- Improved ncurses layout. (2.4.9)
* Fri Sep 07 2001 - mvidner@suse.cz
- Use the runlevel editor for dealing with START_* variables (2.4.8)
* Mon Sep 03 2001 - mvidner@suse.cz
- Use yast2-config-runlevel.
- Start portmap only if not running already (Bug #9999).
- 2.4.7
* Thu Aug 23 2001 - mvidner@suse.cz
- Added documentation in a devel subpackage (2.4.6)
* Tue Aug 21 2001 - mvidner@suse.cz
- Only one <p> per string. (2.4.5)
* Tue Aug 07 2001 - mvidner@suse.cz
- Warn about the necessity of reboot when changing the domain.
- Changed from RPM Requires to require.ycp.
- Documented the possibility to enter multiple NIS servers. (#9559)
- version 2.4.4
* Mon Jul 30 2001 - mvidner@suse.cz
- Turned off autoheader.
- Replaced _("&OK") by OKButtonLabel() etc.
- version 2.4.3
* Mon Jul 23 2001 - mvidner@suse.cz
- Requires ypbind.
- version 2.4.2
* Thu Jul 19 2001 - msvec@suse.cz
- correct provides
- minor function name fix
- fixed textdomain
- version 2.4.1
* Wed Jul 18 2001 - msvec@suse.cz
- split of the yast2-config-network
- version 2.4.0
